Index Page cylrec_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void cylrec_c ( SpiceDouble r,
                       SpiceDouble lon,
                       SpiceDouble z,
                       SpiceDouble rectan[3] )
#### Abstract
       Convert from cylindrical to rectangular coordinates.
#### Required_Reading
       None.
#### Keywords
       CONVERSION
       COORDINATES
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  -------------------------------------------------
       r          I   Distance of a point from z axis.
       lon        I   Angle (radians) of a point from xZ plane
       z          I   Height of a point above xY plane.
       rectan     O   Rectangular coordinates of the point.
#### Detailed_Input
       r          Distance of the point of interest from z axis.

       lon        Cylindrical angle (in radians) of the point of
                  interest from XZ plane.

       z          Height of the point above XY plane.
#### Detailed_Output
       rectan     Rectangular coordinates of the point of interest.
#### Parameters
       None.
#### Exceptions
       Error free.
#### Files
       None.
#### Particulars
       This routine transforms the coordinates of a point from
       cylindrical to rectangular coordinates.
#### Examples
       Below are two tables.

       Listed in the first table (under r, lon and z ) are
       cylindrical coordinate triples that approximately represent
       points whose rectangular coordinates are taken from the set
       {-1, 0, 1}.  (Angular quantities are given in degrees.)

       The result of the code fragment

            Use the CSPICE routine convrt_c to convert the angular
            quantities to radians

            convrt_c (  lon, "DEGREES", "RADIANS", lon );

            cylrec_c ( r, lon, z, x );

       are listed in the second parallel table under x(1), x(2) and x(3).

         r         lon     z            x(1)       x(2)     x(3)
         -------------------------       --------------------------
         0.0000    0.0000   0.0000       0.0000     0.0000   0.0000
         1.0000    0.0000   0.0000       1.0000     0.0000   0.0000
         1.0000   90.0000   0.0000       0.0000     1.0000   0.0000
         0.0000    0.0000   1.0000       0.0000     0.0000   1.0000
         1.0000  180.0000   0.0000      -1.0000     0.0000   0.0000
         1.0000  270.0000   0.0000       0.0000    -1.0000   0.0000
         0.0000    0.0000  -1.0000       0.0000     0.0000  -1.0000
         1.4142   45.0000   0.0000       1.0000     1.0000   0.0000
         1.0000    0.0000   1.0000       1.0000     0.0000   1.0000
         1.0000   90.0000   1.0000       0.0000     1.0000   1.0000
         1.4142   45.0000   1.0000       1.0000     1.0000   1.0000
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       E.D. Wright     (JPL)
       W.L. Taber      (JPL)
#### Version
       -CSPICE Version 1.0.1, 08-FEB-1998 (EDW)

           Corrected and clarified header entries.  Removed return call.

       -CSPICE Version 1.0.0, 25-OCT-1997 (EDW)
#### Index_Entries
       cylindrical to rectangular
#### Link to routine cylrec_c source file cylrec_c.c

    Wed Jun  9 13:05:20 2010